Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfclown.documents.contents.colorSpaces
Class Color<TDataObject extends PdfDataObject>

    java.lang.Object
      org.pdfclown.objects.PdfObjectWrapper<TDataObject>
          org.pdfclown.documents.contents.colorSpaces.Color<TDataObject>

All Implemented Interfaces:
  Cloneable, IPdfObjectWrapper

Direct Known Subclasses:
  IndexedColor, LeveledColor, Pattern

    public abstract class Color<TDataObject extends PdfDataObject>

extends PdfObjectWrapper<TDataObject>

Color value [PDF:1.6:4.5.1].

Version:
  0.1.1, 11/01/11
Author:
  Stefano Chizzolini (http://www.stefanochizzolini.it)

Constructor Summary
`protected` | `Color(ColorSpace<?> colorSpace, PdfDirectObject baseObject)`
`protected` | `Color(PdfDirectObject baseObject)`

Method Summary
`ColorSpace<?>` | `getColorSpace()`
`abstract List<PdfDirectObject>` | `getComponents()` Gets the components defining this color value.
`protected static double` | `normalizeComponent(double value)` Gets the normalized value of a color component [PDF:1.6:4.5.1].

Methods inherited from class org.pdfclown.objects.PdfObjectWrapper
`checkCompatibility, clone, delete, equals, exists, getBaseDataObject, getBaseObject, getBaseObject, getContainer, getDataContainer, getDocument, getFile, getMetadata, retrieveName, retrieveNamedBaseObject, setBaseObject, setMetadata`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Color

    protected Color(ColorSpace<?> colorSpace,
                    PdfDirectObject baseObject)

### Color

    protected Color(PdfDirectObject baseObject)

Method Detail

### normalizeComponent

    protected static double normalizeComponent(double value)

  Gets the normalized value of a color component [PDF:1.6:4.5.1].

  Parameters:
    `value` - Color component value to normalize.
  Returns:
    Normalized color component value.

### getColorSpace

    public ColorSpace<?> getColorSpace()

### getComponents

    public abstract List<PdfDirectObject> getComponents()

  Gets the components defining this color value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.